EXTRACTKMDR(1)

NAME
extractkmdr - extract message strings from Kommander dialogs

SYNOPSIS
extractkmdr [ --tag=name ... ] [ --context=name ] file ...

DESCRIPTION
extractkmdr finds all text tags and other message strings within the given Kommander dialog (.kmdr) files. It then writes the corresponding i18n() calls to standard output (usually redirected to rc.cpp) so that xgettext can parse them.

To create a complete gettext message file (PO-file) from a Kommander dialog, the kmdr2po(1) utility is more convenient.

This utility is part of the TDE web development module.

OPTIONS

--tag=name
    Extract also the contents of the tag name. This option may be used multiple times (e.g., --tag=tag_one --tag=tag_two).

--context=name
    Give all i18n() calls the given context: i18n("name", ...).

SEE ALSO
kmdr-editor(1), kmdr-executor(1), kmdr-plugins(1), kmdr2po(1).

AUTHOR
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).